from flask import jsonify, request

from app.doc.product_swag import get_product_info_swagger

from flasgger import swag_from

from app.api import bp_product

from app.services.product import product_info_service


@bp_product.route("/<int:product_id>", methods=["GET"])
@swag_from(get_product_info_swagger)
def get_product_info(product_id: int):
    fields = ["name", "price", "image", "image_name", "seller"]

    fields_param = request.args.get("fields")

    fields_param_list = fields_param.split(",") if fields_param else fields

    common_fields = list(set(fields) & set(fields_param_list))

    result, status_code = product_info_service.product_info(product_id)

    return jsonify(result), status_code
