from mysql.connector import Error as mysqlError

from app.messages.api_responses import product_responses as response
import app.messages.api_errors as errors

from app.db import product_db

from app.models.product_model import Product


def create_product(seller_id: str, name: str, price: float):
    """
    Creates a new product listing

    :param seller_id: User ID
    :type seller_id: str
    :param name: New product's name
    :type name: str
    :param price: New product's price
    :type price: float
    """

    product: Product = Product(seller_id=seller_id, name=name, price=price)
    try:
        product_db.insert_product(product)

    except mysqlError as e:
        return errors.UNKNOWN_DATABASE_ERROR(e)

    return response.PRODUCT_LISTING_CREATED_SUCCESSFULLY
